Upload clipboard image
POST /api/v1/projects/{projectId}/{agentType}/clipboard
POST
/api/v1/projects/{projectId}/{agentType}/clipboard
Stages an image file in the container’s clipboard directory. The xclip shim serves it when the agent reads the clipboard. Used by the web frontend for image paste support.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Project ID
Request Body required
Section titled “Request Body required ”Image file
file
file
object
Responses
Section titled “ Responses ”OK
object
path
Path is the absolute path of the staged file inside the container.
string
Bad Request
object
code
string
error
string
Not Found
object
code
string
error
string
Request Entity Too Large
object
code
string
error
string
Internal Server Error
object
code
string
error
string